Summary: The Kubernetes Package Manager
Name: helm
Version: 2.8.2
Release: 1
License: ASL 2.0
URL: https://helm.sh

# Download https://github.com/helm/helm/archive/v2.8.2.tar.gz
# Run glide install --strip-vendor
Source: helm-2.8.2+vendor.tar.gz
Patch: helm-2.8.2-aix.patch

Group: Applications/System

BuildRequires: gcc-go >= 8.1.0
BuildRequires: bash

Requires: libgo >= 8.1.0-2
Requires: libgcc >= 8.1.0-2

%description
Helm is a tool for managing Kubernetes charts. Charts are
packages of pre-configured Kubernetes resources.

%prep

%setup -q

%patch -p1 -b .aix

%build
export PATH=/usr/bin:/etc:/usr/sbin:/sbin:/opt/freeware/bin

mkdir -p ./_root
mkdir -p ./_build/src/k8s.io/
ln -s $(pwd) ./_build/src/k8s.io/helm

export GOPATH=$(pwd)/_build
export GOARCH=ppc64
export CGO_ENABLED=1
export GOROOT=$(pwd)/_root

ulimit -d unlimited
ulimit -m unlimited
ulimit -s unlimited
ulimit -f unlimited

scripts/setup-apimachinery.sh # Requires bash

# helm
go build -p=3 -v -gccgoflags="all=-mcmodel=large" -o dist/helm k8s.io/helm/cmd/helm

%install
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
strip -X64 -t dist/helm
/usr/bin/install -M 0755 -f ${RPM_BUILD_ROOT}%{_bindir} dist/helm

mkdir -p ${RPM_BUILD_ROOT}%{_mandir}/man1
for file in docs/man/man1/helm*.1*; do
	/usr/bin/install -M 0644 -f ${RPM_BUILD_ROOT}%{_mandir}/man1 $file
done

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%doc LICENSE README.md
%{_bindir}/helm
%{_mandir}/man1/helm*.1*

%changelog
* Tue Aug 21 2018 Damien Bergamini - 2.8.2-1
- Initial port of Helm 2.8.2 to AIX
